## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### API Request

**GET** `/v2.0/tasks`

Try it

### Example cURL Command

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/tasks \
  --header 'X-API-Key: <api-key>'
```

### Example Python Code

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/tasks"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### Example JavaScript Code

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/tasks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### Example PHP Code

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/tasks",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Example Go Code

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/tasks"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### HTTP Response Status Codes

- **200**: Success
- **400**: Bad Request
- **401**: Unauthorized
- **402**: Payment Required
- **403**: Forbidden
- **404**: Not Found
- **405**: Method Not Allowed
- **409**: Conflict
- **413**: Payload Too Large
- **500**: Internal Server Error
- **501**: Not Implemented
- **502**: Bad Gateway
- **503**: Service Unavailable
- **504**: Gateway Timeout

### Example JSON Response

```json
{
  "items": [
    {
      "name": "<string>",
      "data": {},
      "status": "queued",
      "currentStep": 123,
      "totalStep": 123,
      "failReason": "<string>",
      "lastRunAt": "2023-11-07T05:31:56Z",
      "lastFinishedAt": "2023-11-07T05:31:56Z",
      "_id": "<string>",
      "createdAt": 1694518620,
      "lastChanged": 1694518620,
      "createdBy": "<string>",
      "lastChangedBy": "<string>"
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

### Query Parameters

- **projectId** (string, required): The unique identifier for the Project.
- **filter** (string, optional): The task type used to filter tasks.
- **limit** (integer, optional): The maximum number of items to return. Default is 25.
- **skip** (integer, optional): The number of items to skip before returning the results.
- **sort** (string, optional): The order in which results are returned. Format: `field:direction`.
- **next** (string, optional): The cursor that points to the next page of results.
- **previous** (string, optional): The cursor that points to the previous page of results.

### Authentication

- **X-API-Key** (header, required): Supply the API Key in the HTTP-Header.
